<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Subject extends Model
{
    protected $fillable = [
        'name', 'semester', 'block_id', 'teacher_id', 'teacher_alt_id', 'assistant_id'
    ];

    public function department()
    {
        return $this->belongsTo(Department::class);
    }

    public function teacher()
    {
        return $this->belongsTo(Teacher::class, 'teacher_id');
    }

    public function teacher_alt()
    {
        return $this->belongsTo(Teacher::class, 'teacher_alt_id');
    }

    public function assistant()
    {
        return $this->belongsTo(Teacher::class, 'assistant_id');
    }


}
